<?php

include 'appointment_management.php';

function formatArray($data){
    $events = array();
    foreach($data as $row){
        $events[] = array(
            "id"   => $row["id"],
            "start"   => $row["fecha_festivo"],
            "description" => $row["tipo_festivo"],
            "doctor" => $row["nombre"],
            "rendering" => "background",
            "color" => "#ffa6a3",
        );
    }
    return $events;
}

function fetchDatabase(){
    $pdo = connectDatabase();
    $data = listHolidays($pdo);
    closeDatabase($pdo);
    return $data;
}


$result = fetchDatabase();
$events = formatArray($result);
echo json_encode($events);

?>
